İçeriğe geç

Wan 2.5 Image to Image

Entegre et

Model kimliği wan-25-preview/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,05 50 API kredisi Bu sayfada çalıştır

API anahtarı al

Doitong'ta oluşturuldu

Doitong topluluğunun Wan 2.5 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.

Gösterilen herkese açık çalışma sayısı: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... Video

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... Video

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... Video

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... Video

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... Video

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

2000 karakterle sınırlı görsel düzenleme metin talimatları.

•gerekli image_urls
Dosyayı bırakın veya

Düzenleme için görsel URL'leri; daha fazlası sağlanırsa yalnızca ilk 2'si kullanılır. Tek görselli düzenleme 1 URL, çoklu referans üretimi en fazla 2 URL kabul eder.

image_size varsayılan square

Üretilen görselin boyutlarını, her biri 384–1440 piksel aralığında olan genişlik ve yükseklikle ayarlayın.

num_images varsayılan 1

1 ile 4 arasında görsel üretim sayısı.

Gelişmiş negative_prompt · seed · enable_safety_checker

İstenmeyen içeriği belirten, 500 karakterle sınırlı negatif istem.

Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.

POST /run/wan-25-preview/image-to-image?wait=20 fiyat → $0,05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Wan 2.5 Image to Image hakkında

2000 karaktere kadar bir metin `prompt` ile görüntüyü düzenler. `image_urls`, tekli düzenlemeler için bir, çoklu referans üretimi için iki görüntü alır; ikiden fazlası yok sayılır. `image_size`, genişlik ve yüksekliği 384-1440 piksel arasında olan altı hazır seçenek sunar. Çağrı başına 1-4 görüntü döndürebilir; `negative_prompt` ve `seed` kabul eder.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
2000 karakterle sınırlı görsel düzenleme metin talimatları.
image_urlsgerekli images
Türurl[] · image
Düzenleme için görsel URL'leri; daha fazlası sağlanırsa yalnızca ilk 2'si kullanılır. Tek görselli düzenleme 1 URL, çoklu referans üretimi en fazla 2 URL kabul eder.
negative_promptisteğe bağlı
Türstring | null
İstenmeyen içeriği belirten, 500 karakterle sınırlı negatif istem.
image_sizeisteğe bağlı
Türobject
Varsayılansquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
Üretilen görselin boyutlarını, her biri 384–1440 piksel aralığında olan genişlik ve yükseklikle ayarlayın.
num_imagesisteğe bağlı num_outputs
Türinteger
Varsayılan1
1 – 4
1 ile 4 arasında görsel üretim sayısı.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "Reimagine the scene under a raging thunderstorm at night: lightning forks across the sky, illuminating the samurai in stark flashes of white light."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Düzenleme sonucunda oluşan görseller.
seeds
array of integerTek tek görselleri üretmek için kullanılan seed değerleri.
actual_prompt
string | nullOrijinal istem metni; görsel düzenleme istem genişletmeyi desteklemez.

Daha fazla model: Görsel Düzenleme

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/wan-25-preview/image-to-image.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt